import Raid_Manager from "../../../Raid/Raid_Manager";
import Form_Dialog_Manager from "../../Managers/Form_Dialog_Manager";
import Film_Manager from "../../../Film/Film_Manager";
import Progression_Manager from "../../../Progression/Progression_Manager";
import Quest_Manager from "../../../Quest/Quest_Manager";
export const dialog_roman = {
    name: "Roman",
    texture: "textures/ui/dialog/humanoid_roman",
    messages: ["Hello friend!"],
    buttons: [
        {
            text: "Raid",
            async callback(player, entity) {
                const progression = Progression_Manager.get("b2250c81-bed4-4b45-be7f-e9db5cee7c12");
                if (progression.active_Task != 3) {
                    const dialog = {
                        name: dialog_roman.name,
                        texture: dialog_roman.texture,
                        messages: ["You need to complete all the quests on this island before you can unlock the raid."],
                        buttons: [
                            {
                                text: "Okay",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
                else {
                    const dialog = {
                        name: dialog_roman.name,
                        texture: dialog_roman.texture,
                        messages: ["Are you strong enough to fight the monsters?"],
                        buttons: [
                            {
                                text: "§aYes",
                                async callback(player, entity) {
                                    Raid_Manager.start(player.dimension.id, player.location);
                                },
                            },
                            {
                                text: "Can you show me where?",
                                async callback(player, entity) {
                                    Film_Manager.play(player, "352a271c-c51c-40ac-b5c5-2cc6f61b1a66", 0);
                                },
                            },
                            {
                                text: "§cNo",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
            },
        },
        {
            text: "Quest",
            async callback(player, entity) {
                Quest_Manager.dialog(player, entity, dialog_roman.name, dialog_roman.texture);
            },
        },
    ],
};
